Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/ranking-sitewise-histogram

Get Rankings Distribution By Time

This API provides the weekly distribution of keyword rankings across four predefined rank buckets (1-3, 3-10, 10-20, 20-50) for each site. It returns the number of keywords falling within each rank range on specific dates for these sites. This helps track keyword performance trends over a time period.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
fromDatestringrequiredDate from where data has to be fetched
toDatestringrequiredDate till where data has to be fetched
locationIdsarray of stringrequiredIDs to fetch data
sourcearray of stringrequiredList of sources

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/ranking-sitewise-histogram' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'

Responses

StatusDescription
200Successful response
400Bad Request
401Unauthorized
Example response (generated from the schema)
{
  "data": {
    "rankingsRollupByKeywordCount": [
      {
        "site": "Google",
        "keywordCountByBucket": [
          {
            "rankRange": "rank_from_1_to_3",
            "dailyKeywordCount": [
              null
            ]
          }
        ]
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.rankingsRollupByKeywordCountarray of objectoptional
data.rankingsRollupByKeywordCount[].sitestringoptionalSource name
data.rankingsRollupByKeywordCount[].keywordCountByBucketarray of objectoptional
data.rankingsRollupByKeywordCount[].keywordCountByBucket[].rankRangestringoptionalRank range bucket
rank_from_1_to_3rank_from_3_to_10rank_from_10_to_20rank_from_20_to_50
data.rankingsRollupByKeywordCount[].keywordCountByBucket[].dailyKeywordCountarray of objectoptional
data.rankingsRollupByKeywordCount[].keywordCountByBucket[].dailyKeywordCount[].rankDatestringoptionalSpecific date
data.rankingsRollupByKeywordCount[].keywordCountByBucket[].dailyKeywordCount[].keywordCountintegeroptionalThe value for the date